## view.page
Class RegistrationPage.DiscountJavascript

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Script
                      view.page.RegistrationPage.DiscountJavascript

Enclosing class:
  RegistrationPage

    private static class RegistrationPage.DiscountJavascript

extends Script

A class for a Javascript code to automatically update entry fee fields as the discount selection changes.

Constructor Summary
`RegistrationPage.DiscountJavascript(Tournament tournament, boolean pre, boolean update_on_load)` Constructs the element.

Method Summary
`private static java.lang.String` `generate(Tournament tournament, boolean pre, boolean update_on_load)` Generates the script as per parameters given to constructor.

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegistrationPage.DiscountJavascript

    public RegistrationPage.DiscountJavascript(Tournament tournament,
                                               boolean pre,
                                               boolean update_on_load)

  Constructs the element.

  Parameters:
    `tournament` - the tournament of the discounts
    `pre` - if true, generates the script for pre-registration, otherwise for final registration.
    `update_on_load` - if true, the update script will be run on page load.

Method Detail

### generate

    private static java.lang.String generate(Tournament tournament,
                                             boolean pre,
                                             boolean update_on_load)

  Generates the script as per parameters given to constructor.